Dependencies (v1)
Snyk API reference for the Dependencies (v1) endpoints, including request parameters and response schemas
Dependencies are packages or modules that your Projects depend on.
The rate limit is up to 150 requests per minute, per user.
Dependencies are packages/modules that your projects depend on. Current rate limit is up to 150 requests per minute, per user.
Required permissions
View OrganizationView ProjectView Project Snapshot
Path parameters
orgIdstringRequiredExample:
The organization ID to list projects for. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedQuery parameters
sortBystring · enumOptionalExample:
The field to sort results by.
dependencyPossible values: orderstring · enumOptionalPossible values:
The direction to sort results by.
pagenumber · doubleOptional
The page of results to fetch.
perPagenumber · doubleOptional
The number of results to fetch per page (maximum is 1000).
Body
Responses
200Success
application/json
post/org/{orgId}/dependencies
POST /v1/org/{orgId}/dependencies HTTP/1.1
Host: api.snyk.io
Content-Type: application/json
Accept: */*
Content-Length: 278
{
"filters": {
"languages": [
"cpp",
"dockerfile",
"dotnet",
"elixir",
"golang",
"helm",
"java",
"javascript",
"kubernetes",
"linux",
"php",
"python",
"ruby",
"scala",
"swift",
"terraform"
],
"projects": [],
"dependencies": [],
"licenses": [],
"severity": [
"critical",
"high",
"medium",
"low"
],
"depStatus": ""
}
}200Success
{
"results": [
{
"id": "gulp@3.9.1",
"name": "gulp",
"version": "3.9.1",
"latestVersion": "4.0.0",
"latestVersionPublishedDate": "2018-01-01T01:29:06.863Z",
"firstPublishedDate": "2013-07-04T23:27:07.828Z",
"isDeprecated": false,
"deprecatedVersions": [
"0.0.1",
"0.0.2",
"0.0.3"
],
"licenses": [
{
"id": "snyk:lic:npm:gulp:MIT",
"title": "MIT license",
"license": "MIT"
}
],
"dependenciesWithIssues": [
"minimatch@2.0.10",
"minimatch@0.2.14"
],
"type": "npm",
"projects": [
{
"name": "atokeneduser/goof",
"id": "6d5813be-7e6d-4ab8-80c2-1e3e2a454545"
}
]
}
],
"total": 1
}Last updated
Was this helpful?

